Package org.opensaml.profile.context

# Class AccessControlContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.profile.context.AccessControlContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class AccessControlContext extends BaseContext
A context component which holds state for making an access control decision using the `AccessControl` interface.

Since:
  3.3.0

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`operation`
The operation.
`private String`
`resource`
The resource.

## Constructor Summary

Constructors
Constructor
Description
`AccessControlContext()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getOperation()`
Get the operation being performed.
`String`
`getResource()`
Get the resource being operated on.
`AccessControlContext`
`setOperation(String op)`
Set the operation being performed.
`AccessControlContext`
`setResource(String res)`
Set the resource being operated on.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### operation

@Nullable private String operation
The operation.

### resource

@Nullable private String resource
The resource.

## Constructor Details

### AccessControlContext

public AccessControlContext()

## Method Details

### getOperation

@Nullable public String getOperation()
Get the operation being performed.

Returns:
  the operation

### setOperation

@Nonnull public AccessControlContext setOperation(@Nullable String op)
Set the operation being performed.

Parameters:
  `op` - the operation
Returns:
  this context

### getResource

@Nullable public String getResource()
Get the resource being operated on.

Returns:
  the resource

### setResource

@Nonnull public AccessControlContext setResource(@Nullable String res)
Set the resource being operated on.

Parameters:
  `res` - the resource
Returns:
  this context